> # NAME

> cgGetLastErrorString - get the current error condition

> # SYNOPSIS

>       #include <Cg/cg.h>

>       const char * cgGetLastErrorString( CGerror * error );

> # PARAMETERS

> error

>   A pointer to a CGerror variable for returning the last error code.

> # RETURN VALUES

> Returns the last error string.

> Returns NULL if there was no error.

> If error is not NULL, the last error code will be returned in the location specified by error. This is the same value that would be returned by cgGetError.

> # DESCRIPTION

> cgGetLastErrorString returns the current error condition and error condition string. It's similar to calling cgGetErrorString with the result of cgGetError. However in certain cases the error string may contain more information about the specific error that last ocurred than what cgGetErrorString would return.

> # EXAMPLES

>       CGerror error;
>       const char* errorString = cgGetLastErrorString( &error );

> # ERRORS

> None.

> # HISTORY

> cgGetLastErrorString was introduced in Cg 1.2.

> # SEE ALSO

> cgGetError, cgGetErrorString